//--------------------------------------------
// Render with at 800*600
//--------------------------------------------
// povray -w800 -h1000 raytracing.pov        
// povray -w800 -h1000 +a0.3 raytracing.pov 
#include "colors.inc"
#include "functions.inc"
#include "desklamp_rt.inc"

global_settings { radiosity { error_bound 2.1 count 1600 }}
//============================================
// General
//============================================
//--------------------------------------------
// Camera
//--------------------------------------------
//#declare PdV=<0, 60, -100>;
//#declare PdV=<0, 15, -130>;
#declare PdV=<0, 65, -105>;
camera{
	orthographic
	angle 60 
        location PdV
        //direction z*2
        up y
        right x*0.8
        look_at <0, 0, -31>
}

//--------------------------------------------
// lights
//--------------------------------------------
light_source
    {
        <0,65,-50>,  rgb <0.55,0.55,0.55> 
	parallel
	point_at <0,0,-31>
	shadowless
    }
object 
{
	desk_lamp
	rotate <0,180,0>
	translate <-50,0,40>
}
object
{
	desk_lamp
	rotate <0,-90,0>
	translate <-50,0,-1>
}
object
{
	text
	{
		ttf "COPRGTB.TTF" "RAYTRACING"
		0.25, <0,0,0>
		pigment {color rgb <1,1,1>}
		scale <12,16,12>
		translate <-35,0,43>
	}
}
object
{
	text
	{
		ttf "COPRGTB.TTF" "The Escher"
		0.20, <0,0,0>
		pigment {color rgb <1,1,1>}
		scale <3.75,5,3.75>
		translate <-55,0,-15>
	}
}
object
{
	text
	{
		ttf "COPRGTB.TTF" "The Bee"
		0.20, <0,0,0>
		pigment {color rgb <1,1,1>}
		scale <3.75,5,3.75>
		translate <-55,0,-24>
	}
}
object
{
	text
	{
		ttf "COPRGTB.TTF" "Chemistry"
		0.20, <0,0,0>
		pigment {color rgb <1,1,1>}
		scale <3.75,5,3.75>
		translate <-55,0,-33>
	}
}
box
{
	//<-80,0,-1000><-25,-0.01,1000>
	<-80,0,-1000><250,-0.01,1000>
	pigment { color rgb <0.2,0.2,0.2> }
}
//box
//{
//	<-25,0,1000><1000,-0.01,33>
//	pigment { color rgb <0.2,0.2,0.2> }
//}
